/* gwcc/src/main.c
 *
 * Copyright (C) 2000 by Brent D. Ely
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

// Good old config.h
#ifdef HAVE_CONFIG_H
   #  include <config.h>
#endif

// Include Libraries
   #include <gnome.h>
   #include <string.h>
   #include "prefs.h"
   #include "utils.h"
   #include "interface.h"
   #include "support.h"

// Global Variables
   // app1 was promoted from main() so we can use lookup_widget() from callbacks.c
   GtkWidget *app1;
   GtkWidget *proc_popmenu;
   extern int ping_c, ping_w, ping_i;

// ------------------------------------------------------------------------- //

// Main Function
int
main (int argc, char *argv[])
{

#ifdef ENABLE_NLS
  bindtextdomain (PACKAGE, PACKAGE_LOCALE_DIR);
  textdomain (PACKAGE);
#endif

    // i18n Internationalization
    gtk_set_locale();

    // Initialize App
    gnome_init("gwcc", VERSION, argc, argv);

    // Define and open main window.
    app1 = create_app1();
    gtk_widget_show(app1);

    // Define the Process CList popmenu (right-click menu)
    proc_popmenu = create_proc_clist_menu1();

    // Read prefs from disk and assign all global vars
    read_prefs_from_disk();

    // Change toolbar to PREFS setting on startup
    set_current_toolbar_style(NULL);

    // Begin main program event loop
    gtk_main();
    return 0;
}
